## ogre-1.9 1.9.0%2Bdfsg1

=== Components/Property/CMakeLists.txt ===
#-------------------------------------------------------------------
# This file is part of the CMake build system for OGRE
#     (Object-oriented Graphics Rendering Engine)
# For the latest info, see http://www.ogre3d.org/
#
# The contents of this file are placed in the public domain. Feel
# free to make use of it in any way you like.
#-------------------------------------------------------------------

############################################################
# Paging optional component
############################################################

PROJECT(OgreProperty)

# define header and source files for the library
set (HEADER_FILES
	include/OgreProperty.h
	include/OgrePropertyPrerequisites.h
)

set (SOURCE_FILES
	src/OgreProperty.cpp
)


# Add needed definitions 
add_definitions(-DOGRE_PROPERTY_EXPORTS -D_MT -D_USRDLL)

# include headers
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories(${OGRE_SOURCE_DIR}/OgreMain/include)
include_directories(${Boost_INCLUDE_DIRS})

# setup target
ogre_add_library(OgreProperty ${OGRE_COMP_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} ${PLATFORM_HEADER_FILES} ${PLATFORM_SOURCE_FILES})
set_target_properties(OgreProperty PROPERTIES VERSION ${OGRE_SOVERSION} SOVERSION ${OGRE_SOVERSION})
target_link_libraries(OgreProperty OgreMain)
if (OGRE_CONFIG_THREADS)
  target_link_libraries(OgreProperty ${OGRE_THREAD_LIBRARIES})
endif ()

# install 
ogre_config_framework(OgreProperty)
ogre_config_component(OgreProperty)

install(FILES ${HEADER_FILES}
  DESTINATION include/OGRE/Property
)

=== Components/Volume/CMakeLists.txt ===
#-------------------------------------------------------------------
# This file is part of the CMake build system for OGRE
#     (Object-oriented Graphics Rendering Engine)
# For the latest info, see http://www.ogre3d.org/
#
# The contents of this file are placed in the public domain. Feel
# free to make use of it in any way you like.
#-------------------------------------------------------------------

############################################################
# Volume optional component
############################################################

PROJECT(OgreVolume)

# define header and source files for the library
file(GLOB HEADER_FILES "${CMAKE_CURRENT_SOURCE_DIR}/include/*.h")
file(GLOB SOURCE_FILES "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")

# Add needed definitions 
add_definitions(-DOGRE_VOLUME_EXPORTS -D_MT -D_USRDLL)

# include headers
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories(${OGRE_SOURCE_DIR}/OgreMain/include)

# setup target
ogre_add_library(OgreVolume ${OGRE_COMP_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} ${PLATFORM_HEADER_FILES} ${PLATFORM_SOURCE_FILES})
set_target_properties(OgreVolume PROPERTIES VERSION ${OGRE_SOVERSION} SOVERSION ${OGRE_SOVERSION})
target_link_libraries(OgreVolume OgreMain)
if (OGRE_CONFIG_THREADS)
  target_link_libraries(OgreVolume ${OGRE_THREAD_LIBRARIES})
endif ()


# install 
ogre_config_framework(OgreVolume)
ogre_config_component(OgreVolume)

install(FILES ${HEADER_FILES}
  DESTINATION include/OGRE/Volume
)

=== PlugIns/ParticleFX/CMakeLists.txt ===
#-------------------------------------------------------------------
# This file is part of the CMake build system for OGRE
#     (Object-oriented Graphics Rendering Engine)
# For the latest info, see http://www.ogre3d.org/
#
# The contents of this file are placed in the public domain. Feel
# free to make use of it in any way you like.
#-------------------------------------------------------------------

# Configure BSP SceneManager build

file(GLOB HEADER_FILES "${CMAKE_CURRENT_SOURCE_DIR}/include/*.h")
file(GLOB SOURCE_FILES "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)

add_definitions(-D_USRDLL)

ogre_add_library(Plugin_ParticleFX ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
target_link_libraries(Plugin_ParticleFX OgreMain)
if (NOT OGRE_STATIC)
  set_target_properties(Plugin_ParticleFX PROPERTIES
    COMPILE_DEFINITIONS OGRE_PARTICLEFXPLUGIN_EXPORTS
  ) 
endif ()

ogre_config_framework(Plugin_ParticleFX)

ogre_config_plugin(Plugin_ParticleFX)
install(FILES ${HEADER_FILES} DESTINATION include/OGRE/Plugins/ParticleFX)

=== Tests/PlayPen/CMakeLists.txt ===
#-------------------------------------------------------------------
# This file is part of the CMake build system for OGRE
#     (Object-oriented Graphics Rendering Engine)
# For the latest info, see http://www.ogre3d.org/
#
# The contents of this file are placed in the public domain. Feel
# free to make use of it in any way you like.
#-------------------------------------------------------------------

# Configure PlayPen build

set(HEADER_FILES 
	include/PlayPen.h
	include/PlayPenSamples.h)
set(SOURCE_FILES 
    src/PlayPen.cpp
    src/PlayPenSamples.cpp)


include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories(${OGRE_SOURCE_DIR}/Samples/Common/include)
ogre_add_component_include_dir(Terrain)
ogre_add_component_include_dir(Overlay)
ogre_add_component_include_dir(Paging)
ogre_add_component_include_dir(RTShaderSystem)

add_library(PlayPen ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} )

target_link_libraries(PlayPen ${OGRE_LIBRARIES} ${OIS_LIBRARIES} OgreOverlay)
ogre_config_sample_lib(PlayPen)

if (APPLE AND NOT OGRE_BUILD_PLATFORM_APPLE_IOS)
    # Set the INSTALL_PATH so that Samples can be installed in the application package
    set_target_properties(PlayPen
       PROPERTIES BUILD_WITH_INSTALL_RPATH 1
       INSTALL_NAME_DIR "@executable_path/../Plugins"
    )
endif()

=== debian/changelog ===
ogre-1.9 (1.9.0+dfsg1-4) unstable; urgency=medium

  * Fix problem building GLES2 in big endian architectures (patch:
    fix-rendersystem-gles2-big-endian.patch)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 20 Sep 2014 19:29:15 +0100

ogre-1.9 (1.9.0+dfsg1-3) unstable; urgency=medium

  * Enable support for GLES, thanks Bret Curtis
  * Create new patch support-arm64.patch to try to fix FTBFS on this port

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 12 Sep 2014 17:11:54 +0100

ogre-1.9 (1.9.0+dfsg1-2) unstable; urgency=medium

  * Change dependencies on Boost to the default versions (Closes: #749944)
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 25 Jun 2014 21:12:05 +0100

ogre-1.9 (1.9.0+dfsg1-1) unstable; urgency=low

  * New upstream version
    - Repack the source to meet DFSG (simply removed all 'Samples', 'SDK' and
      '.hg*')
  * Remove dependency on GCC >= 4.8, it is causing problems in its current
    form and all architectures will be required soon to use 4.8 as default
    compiler if not done yet (Closes: #728521)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 20 Dec 2013 00:50:55 +0000

ogre-1.9 (1.9.0~rc2+dfsg1-3) unstable; urgency=low

  * Make install rules also different for arch and indep

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 16 Oct 2013 15:31:37 +0100

ogre-1.9 (1.9.0~rc2+dfsg1-2) unstable; urgency=low

  * Separate building rules in arch-dependent and independent sections, to
    only build doc once (unneeded and very taxing, especially for less
    powerful machines).  At the moment is failing to build in all arches
    in buildds.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 16 Oct 2013 12:06:09 +0100

ogre-1.9 (1.9.0~rc2+dfsg1-1) unstable; urgency=low

  * New upstream version
    - Repack the source to meet DFSG (simply removed all 'Samples', 'SDK' and
      '.hg*')
    - Support by upsteam of newer atomic functions, drop
      bug-725143-atomics.patch
  * Build-Depends-Indep on doxygen, graphviz and texinfo to build the
    documentation (was not present in the last revisions due to changes
    upstream, it was pre-generated before)
  * Build-Depends on GCC 4.8 and force to use that version to compile in
    debian/rules.  This is another attempt to fix the problem of being unable to
    build in some architectures (Closes: #725143).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 14 Oct 2013 19:52:35 +0100

ogre-1.9 (1.9.0~20130731+dfsg1-4) unstable; urgency=low

  * Another attempt to fix the problem of being unable to build in some
    architectures (Closes: #725143).  I think that this is a bit overkill for a
    not-even-release-candidate version of a package with a very low popcon, but
    this might prove useful for applying the fix upstream or to have in more
    important future versions of the package Debian (if upstream devs don't want
    to handle this themselves).  The changes:
    - Restrict build-depend on "g++ (>= 4:4.8.1-3)" only for the architectures
      where the fix is actually needed (from the official ports at the moment:
      mips mipsel powerpc sparc), so it builds in those arches where the fix is
      not needed while they don't have 4.8 as default.
    - Patch 'bug-725143-atomics.patch': change legacy __sync compiler built-ins
      for the similar __atomic ones, because libatomic doesn't seem to have
      all/some of the __sync ones that caused this problem in the first place.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 10 Oct 2013 15:33:41 +0100

ogre-1.9 (1.9.0~20130731+dfsg1-3) unstable; urgency=low

  * Add build-depend on "g++ (>= 4:4.8.1-3)" and fixes for building in several
    arches (Closes: #725143).  Thanks Rebecca N. Palmer for the report and the
    suggested fix.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 09 Oct 2013 23:46:54 +0100

ogre-1.9 (1.9.0~20130731+dfsg1-2) unstable; urgency=low

  * Document some files missing in debian/copyright

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 07 Sep 2013 18:42:47 +0100

ogre-1.9 (1.9.0~20130731+dfsg1-1) unstable; urgency=low

  * New upstream version
    - Repack the source (simply removing all ./Samples/) to meet DFSG
  * debian/patches: Drop all of them

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 17 Aug 2013 16:01:32 +0100

ogre-1.8 (1.8.0+dfsg1-4) unstable; urgency=low

  * Change maintaner address
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Remove obsolete "DM-Upload-Allowed: yes"
  * debian/control: Change dependencies on Boost to a current version after the
    stable realease
  * debian/patches:
    - boost-1.53.patch: Support Boost 1.53 (Closes: #704044)
  * debian/rules: Remove "-Wl,-z,defs -Wl,--as-needed" from
    DEB_LDFLAGS_MAINT_APPEND, it's not linking properly against recent versions
    of Boost because of this (Closes: #713640)
  * Install Blender plugin in the proper directory for Blender to pick it up
    automatically (Closes: #704777).  Thanks Paul Wise for the tip.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 01 Aug 2013 00:01:32 +0100

ogre-1.8 (1.8.0+dfsg1-3) unstable; urgency=low

  * Document some files oversought in debian/copyright (Closes: #690199).
    Thanks Bart Martens and Anton Gladky for reporting and collaborating in
    fixing the problem.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 13 Nov 2012 20:02:38 +0000

ogre-1.8 (1.8.0+dfsg1-2) unstable; urgency=low

  * Remove Samples altogether, since almost all of them contain or depend on
    non-free items (fonts and some media objects, see Debian and upstream bug
    report).
    After contacting upstream, they are not inclined to resolve the issue soon
    (read: it will take years and several major releases, if it happens at all).
    All of them are removed and there will be no attempt to track which ones are


=== debian/control ===
Source: ogre-1.9
Priority: optional
Section: libs
Standards-Version: 3.9.5
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Homepage: http://ogre3d.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/ogre-1.9.git
Vcs-Git: git://anonscm.debian.org/pkg-games/ogre-1.9.git
Build-Depends: debhelper (>= 9~),
               dpkg-dev (>= 1.16.1~),
               cmake (>= 2.8.0),
               pkg-config,
               libboost-dev,
               libboost-atomic-dev,
               libboost-date-time-dev,
               libboost-thread-dev,
               libfreeimage-dev,
               libfreetype6-dev,
               libtinyxml-dev,
               libzzip-dev,
               zlib1g-dev,
               libz-dev,
               libglu1-mesa-dev | libglu-dev,
               libgl1-mesa-dev | libgl-dev,
               libgles2-mesa-dev | libgles2-dev,
               libxrandr-dev,
               libxxf86vm-dev,
               libxaw7-dev,
               libxt-dev,
               libois-dev [linux-any],
               chrpath
Build-Depends-Indep: doxygen,
                     graphviz,
                     texinfo

Package: libogre-1.9-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libogre-1.9.0 (= ${binary:Version}),
         libboost-dev,
         libboost-thread-dev
Conflicts: libogre-dev (<< 1.9.0), libogre-1.8-dev (<< 1.9.0)
Suggests: ogre-1.9-doc
Description: 3D Object-Oriented Graphics Rendering Engine (development files)
 OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible
 3D engine written in C++ designed to make it easier and more intuitive for
 developers to produce applications utilising hardware-accelerated 3D
 graphics. The class library abstracts all the details of using the underlying
 system libraries like Direct3D and OpenGL and provides an interface based on
 world objects and other intuitive classes.
 .
 This package contains the headers needed to develop with OGRE.

Package: libogre-1.9.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: 3D Object-Oriented Graphics Rendering Engine (libraries)
 OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible
 3D engine written in C++ designed to make it easier and more intuitive for
 developers to produce applications utilising hardware-accelerated 3D
 graphics. The class library abstracts all the details of using the underlying
 system libraries like Direct3D and OpenGL and provides an interface based on
 world objects and other intuitive classes.
 .
 This package contains the library and plugins.

Package: libogre-1.9.0-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: ${misc:Depends},
         libogre-1.9.0 (= ${binary:Version})
Description: 3D Object-Oriented Graphics Rendering Engine (debugging libs)
 OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible
 3D engine written in C++ designed to make it easier and more intuitive for
 developers to produce applications utilising hardware-accelerated 3D
 graphics. The class library abstracts all the details of using the underlying
 system libraries like Direct3D and OpenGL and provides an interface based on
 world objects and other intuitive classes.
 .
 This package contains the debugging version of the library and plugins.

Package: ogre-1.9-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: 3D Object-Oriented Graphics Rendering Engine (documentation)
 OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible
 3D engine written in C++ designed to make it easier and more intuitive for
 developers to produce applications utilising hardware-accelerated 3D
 graphics. The class library abstracts all the details of using the underlying
 system libraries like Direct3D and OpenGL and provides an interface based on
 world objects and other intuitive classes.
 .
 This package contains the documentation.

Package: ogre-1.9-tools
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: ogre-tools (<< 1.9.0), ogre-1.8-tools (<< 1.9.0)
Description: 3D Object-Oriented Graphics Rendering Engine (tools)
 OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible
 3D engine written in C++ designed to make it easier and more intuitive for
 developers to produce applications utilising hardware-accelerated 3D
 graphics. The class library abstracts all the details of using the underlying
 system libraries like Direct3D and OpenGL and provides an interface based on
 world objects and other intuitive classes.
 .
 This package contains tools used to convert from and to OGRE's native mesh
 format.

Package: blender-ogrexml-1.9
Section: graphics
Architecture: all
Depends: ${misc:Depends},
         blender
Conflicts: blender-ogrexml (<< 1.9.0), blender-ogrexml-1.8 (<< 1.9.0)
Description: Blender Exporter for OGRE
 OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible
 3D engine written in C++ designed to make it easier and more intuitive for
 developers to produce applications utilising hardware-accelerated 3D
 graphics. The class library abstracts all the details of using the underlying
 system libraries like Direct3D and OpenGL and provides an interface based on
 world objects and other intuitive classes.
 .
 This package contains the Blender exporter for OGRE.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


export DEB_BUILD_MAINT_OPTIONS   := hardening=+bindnow
# CMake doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable the
# missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
# doesn't use local environment variables. (bug #665324)
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
export DEB_CFLAGS_MAINT_APPEND   := -pipe -Wall $(shell $(dpkg_buildflags) --get CPPFLAGS)
export DEB_CXXFLAGS_MAINT_APPEND := -pipe -Wall $(shell $(dpkg_buildflags) --get CPPFLAGS)

#export DEB_LDFLAGS_MAINT_APPEND  := -Wl,-z,defs -Wl,--as-needed
# disable -Wl,--as-needed on ia64 due to bug #718047, see also #725143
ifeq ($(DEB_HOST_ARCH),ia64)
export DEB_LDFLAGS_MAINT_APPEND  := -Wl,-z,defs
else
export DEB_LDFLAGS_MAINT_APPEND  := -Wl,-z,defs -Wl,--as-needed
endif


DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


# Use this variable to define the particular version of OGRE that we're building
OGRE_VERSION=1.9.0

OGRE_CHANGELOG = Docs/ChangeLog.html

# Directories to install with Multi-arch and versioned OGRE dir names
LIB_MULTIARCH_DIR = /usr/lib/$(DEB_HOST_MULTIARCH)
LIB_MULTIARCH_PRIVATE_DIR = /usr/lib/$(DEB_HOST_MULTIARCH)/OGRE-$(OGRE_VERSION)


%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
        # Samples removed (do not meet DFSG), modify CMake files accordingly
	sed -i 's|^add_subdirectory(Samples)|#add_subdirectory(Samples)|' CMakeLists.txt
        #sed -i "/OGRE_.*_PATH/ s|share/OGRE|share/OGRE-$(OGRE_VERSION)|g" CMake/InstallResources.cmake

        # RPATH from http://www.ogre3d.org/tikiwiki/Building+Ogre+With+CMake
	dh_auto_configure -- \
		-DOGRE_LIB_DIRECTORY="lib/$(DEB_HOST_MULTIARCH)" \
		-DOGRE_FULL_RPATH:BOOL=FALSE \
		-DOGRE_BUILD_RENDERSYSTEM_GLES2:BOOL=TRUE \
		-DOGRE_BUILD_DOCS:BOOL=TRUE \
		-DOGRE_INSTALL_DOCS:BOOL=TRUE \
		-DOGRE_BUILD_SAMPLES:BOOL=FALSE \
		-DOGRE_INSTALL_SAMPLES:BOOL=FALSE \
		-DOGRE_INSTALL_SAMPLES_SOURCE:BOOL=FALSE

#override_dh_auto_build-arch:
#	dh_auto_build -a --

override_dh_auto_build-indep:
	dh_auto_build -i --

        # generate doxygen API doc
        #cd obj-$(DEB_HOST_MULTIARCH) && make OgreDoc
	dh_auto_build -i -- OgreDoc

        # API generated again in makedocs.sh, disable and generate only manual
        # and vbo-update
	sed -i 's|doxygen src/html.cfg|#doxygen src/html.cfg|g' Docs/src/makedocs.sh
	sed -i '/texi2html/ s|texi2html -Verbose|makeinfo --html --force|g;s|-split=node -top_file=index.html|--split=node|g' Docs/src/makedocs.sh
	cd Docs && bash ./src/makedocs.sh

override_dh_install-arch:
        # Copy files from template for this particular version
	cp -f debian/libogre-VERSION.install debian/libogre-$(OGRE_VERSION).install
	cp -f debian/libogre-VERSION.lintian-overrides debian/libogre-$(OGRE_VERSION).lintian-overrides
	cp -f debian/libogre-VERSION.preinst debian/libogre-$(OGRE_VERSION).preinst
	cp -f debian/libogre-VERSION.postinst debian/libogre-$(OGRE_VERSION).postinst
	cp -f debian/libogre-VERSION.postrm debian/libogre-$(OGRE_VERSION).postrm

        # Workaround for CMake and debhelper with mutiarch (Debian bug:
        # http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=641051 )
        #
        # Using cmake's OGRE_LIB_DIRECTORY now
        #
        #sed -i "/^libdir=/ s|/lib|/lib/$(DEB_HOST_MULTIARCH)|" debian/tmp/usr/lib/pkgconfig/*
        #sed -i "/{libdir}/ s|{libdir}/OGRE|{libdir}/OGRE-$(OGRE_VERSION)|g" debian/tmp/usr/lib/pkgconfig/*
        #
        # Moving libraries by hand
        #mkdir -p /tmp/$(DEB_HOST_MULTIARCH)
        #mv debian/tmp/usr/lib/* /tmp/$(DEB_HOST_MULTIARCH)/
        #mv /tmp/$(DEB_HOST_MULTIARCH) debian/tmp/usr/lib/

        # Introduced in 1.7.3-5 as an attempt at using versioned files/dirs for
        # plugins and config files (so several versions of OGRE can be installed
        # at once)
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/OGRE debian/tmp/$(LIB_MULTIARCH_PRIVATE_DIR)
	sed -i "/{libdir}/ s|{libdir}/OGRE|{libdir}/OGRE-$(OGRE_VERSION)|g" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*
        # Samples
        #sed -i "/OGRE/ s|/OGRE|/OGRE-$(OGRE_VERSION)|g" debian/tmp/usr/share/OGRE/*.cfg
        #mv debian/tmp/usr/share/OGRE debian/tmp/usr/share/OGRE-$(OGRE_VERSION)

        # multi-arch/rpath issue with lintian:
        # E: libogre-1.7.3: binary-or-shlib-defines-rpath usr/lib/x86_64-linux-gnu/OGRE/Plugin_OctreeZone.so /usr/lib/OGRE
	chrpath --replace $(LIB_MULTIARCH_PRIVATE_DIR) debian/tmp/$(LIB_MULTIARCH_PRIVATE_DIR)/Plugin_OctreeZone.so.*

        # docs installed in other way
        #rm -rfv debian/tmp/usr/share/OGRE/docs

        # remove .md5, .map and other files that we do not want installed
        #find debian/tmp/usr/share/OGRE/docs/api/html -type f -not \( -iname '*.html' -or -iname '*.png' -or -iname '*.css' -or -iname '*.js' \) -exec rm -fv {} \;

	dh_install -a --list-missing

override_dh_install-indep:
        # remove .md5, .map and other files that we do not want installed
	find debian/tmp/usr/share/OGRE/docs/api/html -type f -not \( -iname '*.html' -or -iname '*.png' -or -iname '*.css' -or -iname '*.js' \) -exec rm -fv {} \;

	dh_install -i --list-missing

override_dh_installchangelogs:
	dh_installchangelogs -- $(OGRE_CHANGELOG)

override_dh_strip:
	dh_strip -plibogre-$(OGRE_VERSION) --dbg-package=libogre-$(OGRE_VERSION)-dbg
	dh_strip -pogre-1.9-tools
        #dh_strip -pogre-1.9-samples --dbg-package=ogre-1.9-samples-dbg

override_dh_clean:
	dh_clean

        # Remove files from template
	rm -rf debian/libogre-$(OGRE_VERSION).*
